Remove usage of vpp-ext-deps package
[csit.git] / resources / libraries / bash / function / artifacts.sh
index 07a04c4..abb0b5f 100644 (file)
@@ -18,6 +18,8 @@ set -exuo pipefail
 function download_artifacts () {
     # Get and/or install VPP artifacts from packagecloud.io.
     #
+    # Variables read:
+    # - CSIT_DIR - Path to existing root of local CSIT git repository.
     # Variables set:
     # - REPO_URL - FD.io Packagecloud repository.
 
@@ -27,7 +29,7 @@ function download_artifacts () {
         die "Get OS release failed."
     }
 
-    repo_url_path="./VPP_REPO_URL"
+    repo_url_path="${CSIT_DIR}/VPP_REPO_URL"
     if [ -e "${repo_url_path}" ]; then
         REPO_URL="$(<${repo_url_path})" || {
             die "Read repo URL from ${repo_url_path} failed."
@@ -53,7 +55,6 @@ function download_ubuntu_artifacts () {
     # Variables read:
     # - REPO_URL - FD.io Packagecloud repository.
     # - VPP_VERSION - VPP version.
-    # - DKMS_VERSION - DKMS version.
     # - INSTALL - If install packages or download only. Default: download
 
     set -exuo pipefail
@@ -69,12 +70,6 @@ function download_ubuntu_artifacts () {
     else
         artifacts+=(${vpp[@]/%/=${VPP_VERSION-}})
     fi
-    dkms=(vpp-ext-deps)
-    if [ -z "${DKMS_VERSION-}" ]; then
-        artifacts+=(${dkms[@]})
-    else
-        artifacts+=(${dkms[@]/%/=${DKMS_VERSION-}})
-    fi
 
     if [ "${INSTALL:-false}" = true ]; then
         sudo apt-get -y install "${artifacts[@]}" || {